# helm values

griada:
  enabled: false
  # 10.0.0.1
  ip: ""
  # 3080
  port: ""
  # Griada url by default is: griada.<clusterDnsWildcard>
  # example.com
  url: ""

nontrembita-external-registration: []

# You may enable a Kong rate limiting plugin for portals
# Also you may configure this plugin by changing the default variables below
kongPluginsConfig:
  rateLimitingPluginEnable: false
  pluginsRateLimitByHeaderRequestsPerSecond: 10
  pluginsRateLimitByHeaderRequestsPerHour: 10000
  pluginsRateLimitByHeaderPolicy: "local"
  pluginsRateLimitByHeaderFaultTolerant: "true"
  pluginsRateLimitByHeaderHideClientHeaders: "false"
  pluginsRateLimitByHeaderHeaderName: "token-claim"
  pluginsRateLimitByIpRequestsPerSecond: 10
  pluginsRateLimitByIpRequestsPerHour: 10000
  pluginsRateLimitByIpPolicy: "local"
  pluginsRateLimitByIpFaultTolerant: "true"
  pluginsRateLimitByIpHideClientHeaders: "false"
  pluginsProxyCacheTtl: 900
  pluginsPrometheusStatusCodeMetrics: true
  pluginsPrometheusLatencyMetrics: true
  pluginsPrometheusBandwidthMetrics: true
  pluginsPrometheusPerConsumerMetrics: true

signWidget:
  url: https://eu.iit.com.ua/sign-widget/v20200922/

# Redash service settings
redash: {}
# customUrl: https://example.com

## Level of logging for the kong and controller. Allowed values are
## trace, debug, info, warn, error, fatal and panic. (default "info")
#env:
#  log_level: info
#ingressController:
#  env:
#    log_level: info
#
## Level of logging for the pg-exporter-chart. Allowed values are
## debug, info, warn, error, fatal. (default "info")
#config:
#  log_level: info
#
## Level of logging for the strimzi-kafka-operator. Allowed values are
## TRACE, DEBUG, INFO, WARN, ERROR. (default "INFO")
#logLevel: INFO
#
## Level of logging for the redash. Allowed values are
## NOTSET, DEBUG, INFO, WARNING, ERROR, CRITICAL. (default "INFO")
#redash:
#  logLevel: INFO
#
## Configures the log verbosity of the Vault injector.
## Supported log levels include: trace, debug, info, warn, error
#injector:
#  logLevel: "info"
## Configure the logging verbosity for the Vault server.
## Supported log levels include: trace, debug, info, warn, error
#server:
#  logLevel: "info"
#
## Level of logging for the Citus. Allowed values are
## debug1, debug2, debug3, debug4, debug5, info, notice, warning
## error, log, fatal, panic. (default "warning")
#citus:
#  pgConfig:
#    logLevel: warning
## Level of logging for the admin/officer/citizen portals. Allowed values are
## emerg, alert, crit, error, warn, notice, info, debug. (default "error")
## It is also possible to turn off the access_log.
#portals:
#  admin:
#    nginx:
#      logLevel: error
#      disableAccessLog: false
#  officer:
#    nginx:
#      logLevel: error
#      disableAccessLog: false
#  citizen:
#    nginx:
#      logLevel: error
#      disableAccessLog: false
global:
  disableRequestsLimits: true
  computeResources:
    instanceCount: 2
    awsInstanceType: "r5.2xlarge"
    awsSpotInstance: false
    awsSpotInstanceMaxPrice: ""
    awsInstanceVolumeType: "gp3"
    instanceVolumeSize: 80
    vSphereInstanceCPUCount: 8
    vSphereInstanceCoresPerCPUCount: 1
    vSphereInstanceRAMSize: 32768
  geoServerEnabled: false
  kafkaOperator:
    storage:
      kafka:
        size: 20Gi
  whiteListIP:
    adminRoutes: "0.0.0.0/0"
  excludePortals: ['']
  deploymentMode: development
  bpAdminPortal:
    camunda:
      bpm:
        metrics:
          enabled: true
          scrapeInterval: 60s
  regulationManagement:
    maxCandidateVersions: 10
  crunchyPostgres:
    postgresql:
      parameters:
        max_connections: 200
    storageSize: 10Gi
    backups:
      pgbackrest:
        repos:
          schedules:
            full: "0 1 * * *"
  registry:
    geoServer:
      replicas: 1
      istio:
        sidecar:
          enabled: true
    kong:
      replicas: 1
      hpa:
        enabled: false
        minReplicas: 1
        maxReplicas: 3
      istio:
        sidecar:
          enabled: true
    bpms:
      replicas: 1
      hpa:
        enabled: false
        minReplicas: 1
        maxReplicas: 3
      istio:
        sidecar:
          enabled: true
      container:
        envVars:
          JAVA_OPTS: "-Xms1536m -Xmx1536m -Duser.timezone=UTC"
    digitalSignatureOps:
      replicas: 1
      hpa:
        enabled: false
        minReplicas: 1
        maxReplicas: 3
      istio:
        sidecar:
          enabled: true
      container:
        envVars:
          JAVA_OPTS: "-Xms768m -Xmx768m -Duser.timezone=UTC"
    userTaskManagement:
      replicas: 1
      hpa:
        enabled: false
        minReplicas: 1
        maxReplicas: 3
      istio:
        sidecar:
          enabled: true
      container:
        envVars:
          JAVA_OPTS: "-Xms512m -Xmx512m"
    userProcessManagement:
      replicas: 1
      hpa:
        enabled: false
        minReplicas: 1
        maxReplicas: 3
      istio:
        sidecar:
          enabled: true
      container:
        envVars:
          JAVA_OPTS: "-Xms512m -Xmx512m"
    digitalDocumentService:
      replicas: 1
      hpa:
        enabled: false
        minReplicas: 1
        maxReplicas: 3
      istio:
        sidecar:
          enabled: true
      container:
        envVars:
          JAVA_OPTS: "-Xms512m -Xmx512m"
    restApi:
      replicas: 1
      hpa:
        enabled: false
        minReplicas: 1
        maxReplicas: 3
      istio:
        sidecar:
          enabled: true
      container:
        envVars:
          JAVA_OPTS: "-Xms1200m -Xmx1200m -XX:+AlwaysPreTouch -XX:+UseG1GC -XX:+ExplicitGCInvokesConcurrent"
      datasource:
        maxPoolSize: 10
    kafkaApi:
      replicas: 1
      hpa:
        enabled: false
        minReplicas: 1
        maxReplicas: 3
      istio:
        sidecar:
          enabled: true
      container:
        envVars:
          JAVA_OPTS: "-Xms1200m -Xmx1200m -XX:+AlwaysPreTouch -XX:+UseG1GC -XX:+ExplicitGCInvokesConcurrent"
      datasource:
        maxPoolSize: 10
    soapApi:
      replicas: 1
      hpa:
        enabled: false
        minReplicas: 1
        maxReplicas: 3
      istio:
        sidecar:
          enabled: true
      container:
        envVars:
          JAVA_OPTS: "-Xms128m -Xmx128m -XX:+AlwaysPreTouch -XX:+UseG1GC -XX:+ExplicitGCInvokesConcurrent"
    redis:
      replicas: 2
      istio:
        sidecar:
          enabled: false
    sentinel:
      replicas: 3
      istio:
        sidecar:
          enabled: true
external-systems:
  diia:
    protocol: REST
    type: platform
trembita:
  registries:
    dracs-registry:
      protocol: SOAP
      type: platform
    edr-registry:
      protocol: SOAP
      type: platform
    idp-exchange-service-registry:
      protocol: SOAP
      type: platform
keycloak:
  realms:
    officerPortal:
      browserFlow: dso-officer-auth-flow
      selfRegistration: false
  authFlows:
    officerAuthFlow:
      widgetHeight: 720
  citizenAuthFlow:
    edrCheck: true
    authType: widget
    widget:
      url: https://eu.iit.com.ua/sign-widget/v20200922/
      height: 720
digitalDocuments:
  maxFileSize: 100MB
  maxTotalFileSize: 100MB
portals:
  citizen:
    signWidget:
      url: https://eu.iit.com.ua/sign-widget/v20200922/
      height: 720
      copyFromAuthWidget: true
